<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Map3D.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_map3_d_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Map3D.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_map3_d_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_map3_d_8hpp.html">Map3D.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">   20</a></span><a class="code hl_function" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">Map3D::Map3D</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *map_title, QWidget *parent) : <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a>(map_title, parent)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_viewer.html">Viewer</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_variable" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a> = <span class="keyword">new</span> QWidget(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <a class="code hl_variable" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">map_container_layout</a> = <span class="keyword">new</span> QVBoxLayout(<a class="code hl_variable" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// Definicja zachowania geometrii</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Preferred);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <a class="code hl_function" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">setStoredWidget</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <a class="code hl_function" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">setVLayout</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>}</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">   37</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">Map3D::setStoredWidget</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>{</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <a class="code hl_variable" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">map_container_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_variable" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a>-&gt;setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>-&gt;setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>}</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">   48</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">Map3D::setVLayout</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>{</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>}</div>
<div class="ttc" id="a_map3_d_8hpp_html"><div class="ttname"><a href="_map3_d_8hpp.html">Map3D.hpp</a></div><div class="ttdoc">Definicja klasy Map3D.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a040d312358c64b62f6e02e8c01872fe3"><div class="ttname"><a href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">Map3D::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8cpp_source.html#l00037">Map3D.cpp:37</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a5ade1d2cb83558dd53329fb1eca1ec20"><div class="ttname"><a href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">Map3D::map</a></div><div class="ttdeci">Viewer * map</div><div class="ttdoc">Okno do wyświetlania grafiki 3D.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00028">Map3D.hpp:28</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a9139711c985ad185f92c016c48620657"><div class="ttname"><a href="class_map3_d.html#a9139711c985ad185f92c016c48620657">Map3D::map_container_layout</a></div><div class="ttdeci">QVBoxLayout * map_container_layout</div><div class="ttdoc">Zarządca wertykalny.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00036">Map3D.hpp:36</a></div></div>
<div class="ttc" id="aclass_map3_d_html_aa23ceb64ab792b7873d80b070c20f066"><div class="ttname"><a href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">Map3D::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widget'y pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8cpp_source.html#l00048">Map3D.cpp:48</a></div></div>
<div class="ttc" id="aclass_map3_d_html_abad559ba63171f87aaf6a2574d3c3dd5"><div class="ttname"><a href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">Map3D::Map3D</a></div><div class="ttdeci">Map3D(const char *map_title, QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy Map3D.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8cpp_source.html#l00020">Map3D.cpp:20</a></div></div>
<div class="ttc" id="aclass_map3_d_html_ac560249dab7296b25ef7ce2a25902d55"><div class="ttname"><a href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">Map3D::map_container</a></div><div class="ttdeci">QWidget * map_container</div><div class="ttdoc">Kontener na okno z grafiką</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00032">Map3D.hpp:32</a></div></div>
<div class="ttc" id="aclass_viewer_html"><div class="ttname"><a href="class_viewer.html">Viewer</a></div><div class="ttdoc">Okno z modelami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00023">Viewer.hpp:24</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_map3_d_8cpp.html">Map3D.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
